# nso_verify – Verifies Cisco NSO configuration

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides support for verifying Cisco NSO configuration is in compliance with specified values.

## Requirements

The below requirements are needed on the host that executes this module.

- Cisco NSO version 3.4.12 or higher, 4.2.7 or higher, 4.3.8 or higher, 4.4.3 or higher, 4.5 or higher.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data - / required |  | NSO data in format as `| display json` converted to YAML. List entries can be annotated with a `__state` entry. Set to in-sync/deep-in-sync for services to verify service is in sync with the network. Set to absent in list entries to ensure they are deleted if they exist in NSO.
password string / required |  | NSO password
timeout integer added in 2.6 | Default: 300 | JSON-RPC request timeout in seconds
url string / required |  | NSO JSON-RPC URL, http://localhost:8080/jsonrpc
username string / required |  | NSO username

validate_certs
boolean

Choices:
- no ←
- yes

When set to true, validates the SSL certificate of NSO when using SSL

## Examples

    - name: Verify interface is up
      nso_config:
        url: http://localhost:8080/jsonrpc
        username: username
        password: password
        data:
          ncs:devices:
            device:
            - name: ce0
              live-status:
                interfaces:
                  interface:
                    - name: GigabitEthernet0/12
                    - state: Up

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
violations complex | failed | List of value violations Sample: [{'path': '/ncs:devices/device{ce0}/description', 'expected-value': 'CE0 example', 'value': None}]
| expected-value string | always | Expected value of path
| path string | always | Path to the value in violation
| value string | always | Current value of path

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Claes Nästén (@cnasten)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.